# Class ConfigTestingService

#### Implements

- ConfigService

- Defined in config-testing-service.ts:9

#####
Index

### Constructors

constructor

### Properties

config

### Methods

clearLocalConfig
get
getOrThrow
set
setLocalConfig

##
Constructors

### constructor

- new ConfigTestingService(): ConfigTestingService

  #### Returns ConfigTestingService

##
Properties

### `Readonly` config

config: Record<string, any> = {}

Implementation of ConfigService.config

- Defined in config-testing-service.ts:10

##
Methods

### clearLocalConfig

- clearLocalConfig(): void

  #### Returns void

  Implementation of ConfigService.clearLocalConfig

  - Defined in config-testing-service.ts:13

### get

- get<T>(propertyPath: string, defaultValue?: T): undefined | T

  #### Type Parameters

  - T

  #### Parameters

  - propertyPath: string
  - `Optional` defaultValue: T

  #### Returns undefined | T

  Implementation of ConfigService.get

  - Defined in config-testing-service.ts:20

### getOrThrow

- getOrThrow<T>(propertyPath: string): T

  #### Type Parameters

  - T

  #### Parameters

  - propertyPath: string

  #### Returns T

  Implementation of ConfigService.getOrThrow

  - Defined in config-testing-service.ts:24

### set

- set<T>(propertyPath: string, value: T): void

  #### Type Parameters

  - T

  #### Parameters

  - propertyPath: string
  - value: T

  #### Returns void

  - Defined in config-testing-service.ts:16

### setLocalConfig

- setLocalConfig(config: Record<string, any>): void

  #### Parameters

  - config: Record<string, any>

  #### Returns void

  Implementation of ConfigService.setLocalConfig

  - Defined in config-testing-service.ts:33